Skip to main content
`Ctrl`+`K`

# PetscLogObjectCreate

Log the creation of a `PetscObject`

## Synopsis

    #include <petsclog.h>
    PetscErrorCode PetscLogObjectCreate(PetscObject h)

Not Collective

## Input Parameters

- h - A `PetscObject`

## Developer Note

Called internally by PETSc when creating objects: users do not need to call this directly. Notification of the object creation is sent to each `PetscLogHandler` that is running.

## See Also

Profiling, `PetscLogHandler`, `PetscLogObjectDestroy()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages